nl.tudelft.simulation.dsol.tutorial.appendix

## Class EventPerformance

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.appendix.EventPerformance

All Implemented Interfaces:
  Serializable, DSOLModel<Double,Double,SimTimeDouble>, DSOLModel.TimeDouble

    public class EventPerformance
    extends Object
    implements DSOLModel.TimeDouble

A EventPerformance.

Copyright (c) 2002-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.DSOLModel

`DSOLModel.CalendarDouble, DSOLModel.CalendarFloat, DSOLModel.CalendarLong, DSOLModel.TimeDouble, DSOLModel.TimeDoubleUnit, DSOLModel.TimeFloat, DSOLModel.TimeFloatUnit, DSOLModel.TimeLong`

### Constructor Summary

Constructors
Constructor and Description
`EventPerformance()` constructs a new EventPerformance.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `complete(long startTime)` completes the run.
`void` `constructModel(SimulatorInterface<Double,Double,SimTimeDouble> pSimulator)`
`SimulatorInterface<Double,Double,SimTimeDouble>` `getSimulator()`
`static void` `main(String[] args)` commandline executes the model.
`protected void` `stepA(DEVSSimulatorInterface<Double,Double,SimTimeDouble> pSimulator)` stepA.
`protected void` `stepB()` stepB.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EventPerformance

    public EventPerformance()

constructs a new EventPerformance.

### Method Detail

#### constructModel

    public void constructModel(SimulatorInterface<Double,Double,SimTimeDouble> pSimulator)
                        throws SimRuntimeException

Specified by:
  `constructModel` in interface `DSOLModel<Double,Double,SimTimeDouble>`
Throws:
  `SimRuntimeException`

#### getSimulator

    public SimulatorInterface<Double,Double,SimTimeDouble> getSimulator()

Specified by:
  `getSimulator` in interface `DSOLModel<Double,Double,SimTimeDouble>`
Returns:
  the simulator

#### stepA

    protected void stepA(DEVSSimulatorInterface<Double,Double,SimTimeDouble> pSimulator)
                  throws SimRuntimeException,
                         RemoteException

stepA.

Parameters:
  `pSimulator` - the simulator
Throws:
  `SimRuntimeException` - on dsol error
  `RemoteException` - on distributed error

#### stepB

    protected void stepB()

stepB.

#### complete

    protected void complete(long startTime)

completes the run.

Parameters:
  `startTime` - the startTime

#### main

    public static void main(String[] args)

commandline executes the model.

Parameters:
  `args` - the arguments to the commandline